Bug 238533 - Wildcard map entry doesn't work If multiple nsswitch sources are used
Wildcard map entry doesn't work If multiple nsswitch sources are used
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Kent
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 02:50 EDT by Ian Kent
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0621
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 12:30:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Kent 2007-05-01 02:50:50 EDT
Description of problem:

When a wildcard map entry is present in a map that has
multiple nsswitch sources the wildcard entry can be
incorrectly removed from the autofs internal map entry
cache causing incorrect mount lookup failures. This issue
can cause similar problems for normal map entries as well
and also leads to inconsistent map represh requests being
sent to the daemon.

How reproducible:
Intermitent failure of wildcard map entry when present in
multiple nsswitch source maps.

Steps to Reproduce:
1. Setup map with distinct entries in two of more nsswitch
sources.
2. Enable debug logging in autofs.
3. Attempt to access wildcard map entry.
4. Debug log shows incorrect map entry lookup or failure
and potentially incorrect map reread request sent to daemon.
  
Actual results:
Incorrect lookup or failure failure.
Map refresh request for map that hasn't been modified.

Expected results:
Acurate lookup and correct recognition of stale map.
Comment 1 RHEL Product and Program Management 2007-05-01 03:03:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2007-11-07 12:30:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0621.html

Note You need to log in before you can comment on or make changes to this bug.